package com.ruoyi.project.training.service;

import java.util.List;
import com.ruoyi.project.training.domain.TWorkcertificate;

/**
 * 作业证书一览Service接口
 * 
 * @author ruoyi
 * @date 2020-12-01
 */
public interface ITWorkcertificateService 
{
    /**
     * 查询作业证书一览
     * 
     * @param id 作业证书一览ID
     * @return 作业证书一览
     */
    public TWorkcertificate selectTWorkcertificateById(Long id);

    /**
     * 根据员工编号查询作业证书一览
     *
     * @param
     * @return 作业证书一览
     */
    public TWorkcertificate selectTWorkcertificateByEmployeeid(String employeeid);

    /**
     * 查询作业证书一览列表
     * 
     * @param tWorkcertificate 作业证书一览
     * @return 作业证书一览集合
     */
    public List<TWorkcertificate> selectTWorkcertificateList(TWorkcertificate tWorkcertificate);

    /**
     * 定时任务查询作业证书一览列表
     *
     * @param tWorkcertificate 作业证书一览
     * @return 作业证书一览集合
     */
    public List<TWorkcertificate> selectList(TWorkcertificate tWorkcertificate);

    /**
     * 新增作业证书一览
     * 
     * @param tWorkcertificate 作业证书一览
     * @return 结果
     */
    public int insertTWorkcertificate(TWorkcertificate tWorkcertificate);

    /**
     * 修改作业证书一览
     * 
     * @param tWorkcertificate 作业证书一览
     * @return 结果
     */
    public int updateTWorkcertificate(TWorkcertificate tWorkcertificate);

    /**
     * 根据员工编号修改作业证书一览
     *
     * @param tWorkcertificate 作业证书一览
     * @return 结果
     */
    public int updateTWorkcertificateByEmployeeid(TWorkcertificate tWorkcertificate);

    /**
     * 批量删除作业证书一览
     * 
     * @param ids 需要删除的作业证书一览ID
     * @return 结果
     */
    public int deleteTWorkcertificateByIds(Long[] ids);

    /**
     * 删除作业证书一览信息
     * 
     * @param id 作业证书一览ID
     * @return 结果
     */
    public int deleteTWorkcertificateById(Long id);
}
